Bug 818903 - Name of the pdf generated for sam system report command should be modified
Name of the pdf generated for sam system report command should be modified
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Og Maciel
Og Maciel
: Triaged
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-05-04 06:29 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:15:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-05-04 06:29:58 EDT
Description of problem:
System report cli command allows to save the reports in different formats
(pdf,html,csv). the pdf file name generated should be sam_systems_report.pdf
rather than katello_systems_report.pdf

Version-Release number of selected component (if applicable):
[root@tyan-gt24-12 ~]# rpm -qa | grep katello
katello-configure-0.3.1-2.el6_2.noarch
katello-selinux-0.1.10-1.el6.noarch
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-configure-upgrade-0.3.1-2.el6_2.noarch
katello-cli-common-0.3.1-1.el6_2.noarch
katello-glue-candlepin-0.3.0-2.el6_2.noarch
katello-certs-tools-1.0.6-1.el6.noarch
katello-headpin-0.2.4-3.el6_2.noarch
katello-common-0.3.0-2.el6_2.noarch
katello-headpin-all-0.2.4-3.el6_2.noarch

How reproducible:
yum install -a katello-headpin-all
katello-configure --deployment sam

Steps to Reproduce:
1.[root@tyan-gt24-12 ~]# headpin -u admin -p admin system report --help
Usage: headpin [options]

Options:
  -h, --help            show this help message and exit
  -g                    grep friendly output
  -v                    verbose, more structured output
  -d DELIMITER          column delimiter in grep friendly output, works only
                        with option -g
  --org=ORG             organization name eg: foo.example.com (required)
  --environment=ENVIRONMENT
                        environment name eg: development
  --format=FORMAT       report format (possible values: 'html', 'text'
                        (default), 'csv', 'pdf')



2.[root@tyan-gt24-12 ~]# headpin -u admin -p admin system report --org   ACME_Corporation --environment TEST --format pdf
[root@tyan-gt24-12 ~]# ls
anaconda-ks.cfg  headpin.cli.auto  install.log.syslog          RECIPE.TXT
cobbler.ks       install.log       katello_systems_report.pdf  ssl-build

  
Actual results:
the name of file is katello_systems_report.pdf.

Expected results:
it should be sam_systems_report.pdf either.

Additional info:
Comment 2 RHEL Product and Program Management 2012-05-04 06:34:24 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Subscription Asset Manager (SAM). Unfortunately,
we are unable to address this request. Because we are in the final stages
of development in the current release, only significant, release-blocking
issues involving serious regressions and data corruption can be considered.

If you believe this issue meets the release blocking criteria as defined and
communicated to you by your Red Hat Support representative, please ask
your representative to file this issue as a blocker for the current release.
Otherwise, ask that it be evaluated for inclusion in the next release of SAM.
Comment 3 RHEL Product and Program Management 2012-05-04 06:54:07 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Subscription Asset Manager (SAM). Unfortunately,
we are unable to address this request. Because we are in the final stages
of development in the current release, only significant, release-blocking
issues involving serious regressions and data corruption can be considered.

If you believe this issue meets the release blocking criteria as defined and
communicated to you by your Red Hat Support representative, please ask
your representative to file this issue as a blocker for the current release.
Otherwise, ask that it be evaluated for inclusion in the next release of SAM.
Comment 4 Adam Price 2012-10-23 09:45:45 EDT
merged in fix in commit:
https://github.com/Katello/katello/commit/6bb513b396c142e8056c6bacfe790b405cb44349
Comment 5 Og Maciel 2012-11-03 11:22:20 EDT
# headpin -u Administrator -p Redhat@1234 system report --org "CFSE QE" --environment DEV --format pdf
# ls
anaconda-ks.cfg             install.log         redhat-ddns-client-1.3-3.noarch.rpm
headpin_systems_report.pdf  install.log.syslog  ssl-build

Should the generated report be named *headpin_*.pdf or *sam_*.pdf?
Comment 7 Tazim Kolhar 2012-11-12 01:08:20 EST
VERIFIED :

# rpm -qa |grep katello
katello-common-1.2.4-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.3-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-common-1.2.3-1h.el6_3.noarch
katello-headpin-1.2.4-1h.el6_3.noarch
katello-configure-1.2.2-1h.el6_3.noarch
katello-headpin-all-1.2.4-1h.el6_3.noarch
katello-glue-candlepin-1.2.4-1h.el6_3.noarch


# headpin -u admin -p admin system report --org ACME_Corporation --format pdf

# ls
anaconda-ks.cfg             install.log         NETBOOT_METHOD.TXT  ssl-build
headpin_systems_report.pdf  install.log.syslog  RECIPE.TXT
Comment 9 errata-xmlrpc 2013-02-21 14:15:53 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.